com.fasterxml.jackson.dataformat.avro.deser

## Class AvroFieldReader

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.deser.AvroFieldReader

- Direct Known Subclasses:
    ScalarDefaults.DefaultsBase

      public abstract class AvroFieldReader
      extends Object

  Entity that encapsulates details of accessing value of a single field of a "Record" (Avro term, corresponding roughly to JSON Object).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_isSkipper`
    `protected String` | `_name`
    `protected String` | `_typeId`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AvroFieldReader(String name, boolean isSkipper, String typeId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AvroFieldReader` | `construct(String name, AvroStructureReader structureReader)`
    `static AvroFieldReader` | `constructSkipper(String name, AvroStructureReader structureReader)`
    `String` | `getName()`
    `String` | `getTypeId()`
    `boolean` | `isSkipper()`
    `abstract com.fasterxml.jackson.core.JsonToken` | `readValue(AvroReadContext parent, AvroParserImpl parser)`
    `abstract void` | `skipValue(AvroParserImpl parser)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _name

          protected final String _name

    - #### _isSkipper

          protected final boolean _isSkipper

    - #### _typeId

          protected final String _typeId

  - ### Constructor Detail

    - #### AvroFieldReader

          protected AvroFieldReader(String name,
                         boolean isSkipper,
                         String typeId)

  - ### Method Detail

    - #### construct

          public static AvroFieldReader construct(String name,
                                  AvroStructureReader structureReader)

    - #### constructSkipper

          public static AvroFieldReader constructSkipper(String name,
                                         AvroStructureReader structureReader)

    - #### getName

          public final String getName()

    - #### isSkipper

          public final boolean isSkipper()

    - #### readValue

          public abstract com.fasterxml.jackson.core.JsonToken readValue(AvroReadContext parent,
                                                       AvroParserImpl parser)
                                                                  throws IOException

      Throws:
        `IOException`

    - #### skipValue

          public abstract void skipValue(AvroParserImpl parser)
                                  throws IOException

      Throws:
        `IOException`

    - #### getTypeId

          public String getTypeId()

Copyright © 2017 FasterXML. All rights reserved.